# Configuration

The plugin accepts the following options:

- target
- event
- method
- carousel

Options can be set either on initialization or at runtime.

## target

The target for the control. This is basically the same as the first argument the scroll method acceppts.

See Available formats for the target argument for more information about the target argument.

### Example

    $('.jcarousel-control').jcarouselControl({
        target: '+=3'
    });

### Default

`+=1`

## event

The event which triggers the control.

### Example

    $('.jcarousel-control').jcarouselControl({
        event: 'mouseover'
    });

### Default

`click`

## method

The method to call on the carousel.

Plugins may provide alternate methods for scrolling the carousel, e.g. scrollIntoView.

### Example

    $('.jcarousel-control').jcarouselControl({
        method: 'scrollIntoView'
    });

Alternatively, `method` can be a function which will be called in the context of the plugin instance.

### Example

    $('.jcarousel-control').jcarouselControl({
        method: function() {
            this.carousel()
                .jcarousel('scroll', false, this.options('target'), function() {
                    // Do something
                });
        }
    });

### Default

`scroll`

## carousel

The corresponding carousel as jQuery object.

This is optional. By default, the plugin tries to autodetect the carousel.

### Example

    $('.jcarousel-control').jcarouselControl({
        carousel: $('.jcarousel')
    });

### Default

`null`